(function ($) {
  'use strict';

  $(window).on('ready', function () {
    $('.external').attr('target', '_blank');
    $('.modal').attr('rel', 'shadowbox');
    $('.launchGallery').on('click', function (e) {
      var $this = $(this);
      var gallery = $this.attr('rel');
      var content = $this.attr('href');

      e.preventDefault();

      if (Shadowbox) {
        Shadowbox.open({
          content: content,
          player: 'inline',
          gallery: gallery
        });
      }
    });

    if (window.innerWidth <= 1024) {
      $('.video-wrapper').remove();
    }

    $('.slider').slider();

    Shadowbox.init({continuous: true});
  });

  $(window).on('load', function () {
    $('.parallax').parallax({
      bgMoveRate: 0.2
    });
    $('.anchor').smoothScroll();
  });

  $(window).on('resize', function () {
    var width = window.outerWidth;

    $('.video-wrapper').css('width', width);
  });

}(jQuery));

function onYouTubeIframeAPIReady() {
  var player = new YT.Player('video-player', {
    'controls': 0,
    'modestbranding': 1,
    'showinfo': 0,
    'iv_load_policy': 3,
    events: {
      'onReady': onPlayerReady,
      'onStateChange': checkState
    }
  });

  $('.modal').on('click', function () {
    player.pauseVideo();
  });
}

function onPlayerReady(event) {
  event.target.mute();
  event.target.playVideo();
}

function checkState(event) {
  if (event.data === YT.PlayerState.ENDED) {
    event.target.seekTo(0);
    //event.target.pauseVideo();

    //$('.video-wrapper').css('display', 'none');

    // Eventually, we'll kill the video and transition to a still
  }
}

var tag = document.createElement('script');
tag.src = "https://www.youtube.com/iframe_api";
var firstScriptTag = document.getElementsByTagName('script')[0];
firstScriptTag.parentNode.insertBefore(tag, firstScriptTag);